# Drawing the scatterplot of the p-values on the log scale.
# Should be run after scatter_ICP.R or a similar program.
# Used in the paper for Figure 3.

# par(mar=c(2,2,1,1))   # smaller margins (the default, (6,4,4,2), is too big unless I need labels for axes)
par(mfrow=c(1,3))                  # I want 3 plots in one

plot(p.email[labels==1],p.spam[labels==1],asp=1,pch=20,  # old version: pch=4,col="red"
  xlim=c(0.001,1),ylim=c(0.001,1),xlab="email p-value",ylab="spam p-value",main="Email and spam",
  xaxt="n",yaxt="n",log="xy")    # log scale
axis(1, c(0.001,0.01,0.1,1))     # log scale
axis(2, c(0.001,0.01,0.1,1))     # log scale

points(p.email[labels==0],p.spam[labels==0],pch=20)     # old version: pch=1,col="green"

plot(p.email[labels==0],p.spam[labels==0],asp=1,pch=20,   # old version: pch=1,col="green"
  xlim=c(0.001,1),ylim=c(0.001,1),xlab="email p-value",ylab="spam p-value",main="Email only",
  xaxt="n",yaxt="n",log="xy")   # log scale
axis(1, c(0.001,0.01,0.1,1))     # log scale
axis(2, c(0.001,0.01,0.1,1))     # log scale
plot(p.email[labels==1],p.spam[labels==1],asp=1,pch=20,    # old version: pch=4,col="red"
  xlim=c(0.001,1),ylim=c(0.001,1),xlab="email p-value",ylab="spam p-value",main="Spam only",
  xaxt="n",yaxt="n",log="xy")   # log scale
axis(1, c(0.001,0.01,0.1,1))     # log scale
axis(2, c(0.001,0.01,0.1,1))     # log scale
